Bug 129392 - gstreamer-plugins-devel misses media-info.h, libgstmedia-info
gstreamer-plugins-devel misses media-info.h, libgstmedia-info
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-07 15:53 EDT by Nils Philippsen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-07 18:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2004-08-07 15:53:22 EDT
Description of problem:

Trying to compile marlin (marlin.sf.net), I stumbles upon it
complaining that the media-info.h file is missing from
/usr/include/gstreamer-0.8/gst/media-info/ (later after copying it
there manually it complained about the missing library) and to my
surprise I saw that they get deleted in the spec file itself, in the
%install section:

[...]
rm -f
$RPM_BUILD_ROOT%{_includedir}/gstreamer-%{majmin}/gst/media-info/media-info.h
rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so*
[...]
* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix spec file to better remove libgstmedia-info
- exclude for mainframe
[...]

I don't know the reason why this was removed in the first place
(Florian, perhaps you could fill us in on that?), but I guess
including the lib and header shouldn't hurt now.

Version-Release number of selected component (if applicable):

0.8.3-1

How reproducible:

Easy


Steps to Reproduce:
1. Try to build marlin-0.4 (from http://marlin.sf.net)
  
Actual results:
Complains about missing media-info.h header, if that is installed
complains about missing libgstmedia-info

Expected results:

Builds flawlessly

Additional info:

I tried to build it on FC2 with shipped gstreamer, gstreamer-plugins
first but the marlin package needs gstreamer-0.8.4 and of course a
gstreamer-plugins with libgstmedia-info. If you fix this, it would be
great to have the new gstreamer as an FC2 update as well, but that's
just me ;-).
Comment 1 Colin Walters 2004-08-07 17:02:23 EDT
Hm, yes, I am not sure why media-info would be removed.  Florian?
Comment 2 Florian La Roche 2004-08-07 17:21:04 EDT
Can't remember, happened long time ago...

Note You need to log in before you can comment on or make changes to this bug.